Skip to main content
POST
/
v2
/
memories
/
list
List Memories
curl --request POST \
  --url https://api.memmachine.ai/v2/memories/list \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "project_id": "",
  "filter": "metadata.user_id=123 AND metadata.session_id=abc",
  "page_num": 0,
  "page_size": 50,
  "type": "semantic"
}
'
{
  "content": {
    "episodic_memory": [
      {
        "content": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "producer_id": "<string>",
        "producer_role": "<string>",
        "session_key": "<string>",
        "uid": "<string>",
        "content_type": "string",
        "episode_type": "message",
        "filterable_metadata": {},
        "metadata": {},
        "produced_for_id": "<string>",
        "sequence_num": 0
      }
    ],
    "semantic_memory": [
      {
        "category": "<string>",
        "feature_name": "<string>",
        "tag": "<string>",
        "value": "<string>",
        "metadata": {
          "citations": [
            "<string>"
          ],
          "id": "<string>",
          "other": {}
        },
        "set_id": "<string>"
      }
    ]
  },
  "status": 0
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Specification model for listing memories.

project_id
string
default:""

The identifier of the project. If empty, the user's default project is used.

Pattern: ^[\p{L}\p{N}_:-]*$
filter
string
default:""

An optional string filter applied to the memory metadata. This uses a simple query language (e.g., 'metadata.user_id=123') for exact matches. Multiple conditions can be combined using AND operators. The metadata fields are prefixed with 'metadata.' to distinguish them from other fields.

Example:

"metadata.user_id=123 AND metadata.session_id=abc"

page_num
integer
default:0

The zero-based page number to retrieve. Use this for pagination.

Example:

0

page_size
integer
default:100

The maximum number of memories to return per page. Use this for pagination.

Example:

50

type
enum<string>

Memory type.

Available options:
semantic,
episodic

Response

Successful Response

Response model for memory list results.

content
ListResultContent · object
required

Payload for ListResult.content returned by /memories/list.

status
integer
default:0

The status code of the search operation. 0 typically indicates success.

Example:

0